# class Object

Define YAML::Object class

### Public Instance Methods

syck_to_yaml( opts = {} )
Alias for: to_yaml
to_yaml( opts = {} ) click to toggle source

    # File lib/syck/rubytypes.rb, line 14
    def to_yaml( opts = {} )
            Syck::quick_emit( self, opts ) do |out|
        out.map( taguri, to_yaml_style ) do |map|
                            to_yaml_properties.each do |m|
                map.add( m[1..-1], instance_variable_get( m ) )
            end
        end
    end
    end

Also aliased as: syck_to_yaml
to_yaml_properties() click to toggle source

    # File lib/syck/rubytypes.rb, line 13
    def to_yaml_properties; instance_variables.sort; end

to_yaml_style() click to toggle source

    # File lib/syck/rubytypes.rb, line 11
    def to_yaml_style; end